<?php
 
 
 

namespace PhpWA\Protocol\Proto\UrlTrackingMap;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class UrlTrackingMapElement extends \Google\Protobuf\Internal\Message
{
    


    protected $originalUrl = null;
    


    protected $unconsentedUsersUrl = null;
    


    protected $consentedUsersUrl = null;
    


    protected $cardIndex = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getOriginalUrl()
    {
        return isset($this->originalUrl) ? $this->originalUrl : '';
    }

    public function hasOriginalUrl()
    {
        return isset($this->originalUrl);
    }

    public function clearOriginalUrl()
    {
        unset($this->originalUrl);
    }

    




    public function setOriginalUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->originalUrl = $var;

        return $this;
    }

    



    public function getUnconsentedUsersUrl()
    {
        return isset($this->unconsentedUsersUrl) ? $this->unconsentedUsersUrl : '';
    }

    public function hasUnconsentedUsersUrl()
    {
        return isset($this->unconsentedUsersUrl);
    }

    public function clearUnconsentedUsersUrl()
    {
        unset($this->unconsentedUsersUrl);
    }

    




    public function setUnconsentedUsersUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->unconsentedUsersUrl = $var;

        return $this;
    }

    



    public function getConsentedUsersUrl()
    {
        return isset($this->consentedUsersUrl) ? $this->consentedUsersUrl : '';
    }

    public function hasConsentedUsersUrl()
    {
        return isset($this->consentedUsersUrl);
    }

    public function clearConsentedUsersUrl()
    {
        unset($this->consentedUsersUrl);
    }

    




    public function setConsentedUsersUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->consentedUsersUrl = $var;

        return $this;
    }

    



    public function getCardIndex()
    {
        return isset($this->cardIndex) ? $this->cardIndex : 0;
    }

    public function hasCardIndex()
    {
        return isset($this->cardIndex);
    }

    public function clearCardIndex()
    {
        unset($this->cardIndex);
    }

    




    public function setCardIndex($var)
    {
        GPBUtil::checkUint32($var);
        $this->cardIndex = $var;

        return $this;
    }

}

